MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022579Community[OCCT] OCCT:Modeling Algorithmspublic2011-06-06 21:012012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.2Fixed in Version[OCCT] 6.5.2 
Summary0022579: Improving thread-safety of GeomFill
DescriptionRLN contribution (fix340)
- Summary: Improving thread-safety
- Detailed description:
        - GeomFill.cxx - removed static variables
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships
child of 0022825closedabv Integration of contributions by Roman Lygin to OCCT 6.5.2 

-  Notes
(0017623)
kgv (developer)
2011-06-10 18:16

Checked bug branch http://svn/svn/occt/branches/OCC22579_GeomfillDatarace [^]
- GeomFill.cxx was committed with wronf end-lines.
- In file GeomFill.cxx header <Standard_Static.hxx> was still included.

These remarks was already fixed. Terrible header Standard_Static.hxx and its
occurrences was completely removed.

In a final form patch looked well.
(0017624)
ycy (tester)
2011-07-13 17:52
edited on: 2011-11-25 11:38

Dear BugMaster,
SVN branch (http://svn/svn/occt/branches/OCC22579_GeomfillDatarace [^]) was
testing, test results were compared with KAS:dev:products-651-opt

Regressions were not found

It is not necessary to create test case for this issue

See results in /KASDev/OCCTtests/KAS/dev/products-testing_12072011/lin
See reference results in
/QADisk/occttests/results/KAS/dev/products-651-opt_01062011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://sbu.nnov.opencascade.com/maintenance/main_certification_te.html [^]

(0017625)
bugmaster (administrator)
2011-07-14 19:03

Fix has been integrated to occt repository

Date: 2011-07-14 17:02:13 +0400 (Thu, 14 Jul 2011)
New Revision: 8689

Removed:
   trunk/src/Standard/Standard_Static.hxx
Modified:
   trunk/src/BOPTest/BOPTest_BOPCommands.cxx
   trunk/src/BOPTest/BOPTest_LowCommands.cxx
   trunk/src/GeomFill/GeomFill.cxx
   trunk/src/Standard/FILES

- Related Changesets
occt: master f69df442
Timestamp: 2011-07-14 13:02:13
Author: RLN and KGV
Committer: bugmaster
Details ] Diff ]
OCC22579 Improving thread-safety of GeomFill
mod - src/BOPTest/BOPTest_BOPCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_LowCommands.cxx Diff ] File ]
mod - src/GeomFill/GeomFill.cxx Diff ] File ]
mod - src/Standard/FILES Diff ] File ]
rm - src/Standard/Standard_Static.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-07-05 18:11 kgv CC => kgv
2011-07-14 18:43 bugmaster Status closed => assigned
2011-07-14 18:43 bugmaster Resolution suspended => @0@
2011-07-14 18:43 bugmaster Assigned To bugmaster => kgv
2011-07-14 18:43 bugmaster Status assigned => resolved
2011-07-14 18:43 bugmaster Status resolved => tested
2011-07-14 19:03 bugmaster Status tested => verified
2011-07-29 15:31 bugmaster Fixed in Version EMPTY =>
2011-07-29 15:31 bugmaster Target Version => 6.5.2
2011-07-29 15:31 bugmaster Description Updated View Revisions
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-09-07 17:23 mkv Test case number => Test case is not required
2011-11-25 11:38 szy Description Updated View Revisions
2011-11-25 11:38 szy Note Edited: 0017624 View Revisions
2011-12-05 11:23 abv Relationship added child of 0022825
2012-01-17 18:36 abv Assigned To kgv => Roman Lygin
2012-03-29 17:26 bugmaster Changeset attached => occt master f69df442


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker